---
lang: en
title: 'API docs: typeorm'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/typeorm
permalink: /doc/en/lb4/apidocs.typeorm.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/typeorm](./typeorm.md)

## typeorm package

[@loopback/typeorm](https://github.com/loopbackio/loopback-next/tree/master/extensions/typeorm)

## Classes

|  Class | Description |
|  --- | --- |
|  [TypeOrmComponent](./typeorm.typeormcomponent.md) |  |
|  [TypeOrmConnectionBooter](./typeorm.typeormconnectionbooter.md) | A class that extends BaseArtifactBooter to boot the TypeORM connection artifact type.<!-- -->Supported phases: configure, discover, load |
|  [TypeOrmLifeCycleManager](./typeorm.typeormlifecyclemanager.md) |  |

## Functions

|  Function | Description |
|  --- | --- |
|  [getModelSchema(modelCtor, options)](./typeorm.getmodelschema.md) | Describe the provided Entity as a reference to a definition shared by multiple endpoints. The definition is included in the returned schema. |
|  [TypeOrmMixin(superClass)](./typeorm.typeormmixin.md) |  |

## Interfaces

|  Interface | Description |
|  --- | --- |
|  [ApplicationUsingTypeOrm](./typeorm.applicationusingtypeorm.md) |  |

## Namespaces

|  Namespace | Description |
|  --- | --- |
|  [typeorm](./typeorm.typeorm.md) |  |
|  [TypeOrmBindings](./typeorm.typeormbindings.md) | Binding keys used by this component. |

## Variables

|  Variable | Description |
|  --- | --- |
|  [ConnectionDefaults](./typeorm.connectiondefaults.md) | Default ArtifactOptions for TypeORM connection. |

## Type Aliases

|  Type Alias | Description |
|  --- | --- |
|  [PropertyType](./typeorm.propertytype.md) |  |
|  [StringifiedTypeOptions](./typeorm.stringifiedtypeoptions.md) |  |
|  [TypeOrmComponentOptions](./typeorm.typeormcomponentoptions.md) |  |


